# Generated from ddtrace-0.52.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ddtrace

Name: rubygem-%{gem_name}
Version: 0.52.0
Release: 1%{?dist}
Summary: Datadog tracing code for your Ruby applications
License: BSD-3-Clause
URL: https://github.com/DataDog/dd-trace-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.0.0
BuildRequires: ruby-devel >= 2.1.0
BuildRequires: ruby-devel < 3.2
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
ddtrace is Datadog’s tracing client for Ruby. It is used to trace requests
as they flow across web servers, databases and microservices so that
developers
have great visiblity into bottlenecks and troublesome requests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ddtracerb
%{gem_extdir_mri}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE-3rdparty.csv
%license %{gem_instdir}/LICENSE.Apache
%license %{gem_instdir}/LICENSE.BSD3
%{gem_instdir}/NOTICE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/ddtrace.gemspec
%doc %{gem_instdir}/docs

%changelog
* Mon Aug 23 2021 mockbuilder - 0.52.0-1
- Initial package
